SystemOrganization addCategory: #'BroomMorphs-Connectors'!

BroomMorph subclass: #NCBroomMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BroomMorphs-Connectors'!

!NCBroomMorph commentStamp: '<historical>' prior: 0!
This is a BroomMorph that won't move labels or connectors.!

!NCBroomMorph class methodsFor: 'parts bin' stamp: 'nk 8/22/2002 16:15'!
descriptionForPartsBin
	^ self partName: 	'Broom'
		categories:		#('Connectors')
		documentation:	'A broom to align shapes with'! !

!NCBroomMorph class methodsFor: 'instance creation' stamp: 'nk 8/29/2002 10:40'!
newInHand
	self new openInHand! !

!NCBroomMorph methodsFor: 'initialization' stamp: 'nk 8/22/2002 16:01'!
basicClass
	^NCBroomMorph! !

!NCBroomMorph methodsFor: 'initialization' stamp: 'nk 8/22/2002 15:06'!
initialize
	super initialize.
	self filter: [ :m | m isConnector not and: [ m isConstraint not ] ].! !
